Subject: Re: [PATCH] Add git-count-packs, like git-count-objects.

From: Shawn Pearce <[email-masked]>
Date: Sat, 28 Oct 2006 02:51:43 -0400

Junio C Hamano <[email-masked]> wrote:
> Shawn Pearce <[email-masked]> writes:
> 
> > Now that we are starting to save packs rather than unpacking into
> > loose objects its nice to have a way to list the number of current
> > packs and their total size.  This can help the user in deciding
> > when its time to run `git repack -a -d`.
> 
> Why not just do "ls -lh $GIT_OBJECT_DIR/pack/pack-*.pack"???

Because whatever we decide to use to make a pack 'active' may not
be that simple.

Whatever.  It was clearly a very tiny patch put together quickly
before dinner tonight, perhaps not worth including at this point.
Lets see what comes out of the other pack oriented discussion first.

--